Package org.codehaus.groovy.vmplugin.v10

# Class Java10

java.lang.Object
org.codehaus.groovy.vmplugin.v8.Java8
org.codehaus.groovy.vmplugin.v9.Java9
org.codehaus.groovy.vmplugin.v10.Java10

All Implemented Interfaces:
  `VMPlugin`

Direct Known Subclasses:
  `Java16`

@Deprecated(since="6.0.0", forRemoval=true) public class Java10 extends Java9
Deprecated, for removal: This API element is subject to removal in a future version.
Use `Java17` instead. Groovy 6.0 requires JDK 17+.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Java10()`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>[]`
  `getPluginDefaultGroovyMethods()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the default Groovy method extensions available on Java 10.
  `int`
  `getVersion()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the Java feature version handled by this plugin.

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v9.Java9

  `checkAccessible, checkCanSetAccessible, getDefaultImportClasses, newLookup, transformMetaMethod, trySetAccessible`

  ### Methods inherited from class org.codehaus.groovy.vmplugin.v8.Java8

  `configureAnnotation, configureClassNode, configureTypeVariableDefinition, configureTypeVariableReference, fillParameterNames, getInvokeSpecialHandle, getPluginStaticGroovyMethods, getValue, invalidateCallSites, invokeHandle, makeClassNode, makeRecordComponents, of, setAdditionalClassInformation, toAnnotationNode, transformMetaMethod`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.vmplugin.VMPlugin

  `configureAnnotationNodeFromDefinition, getRecordComponentNames`

- ## Constructor Details

  - ### Java10

    public Java10()
    Deprecated, for removal: This API element is subject to removal in a future version.

- ## Method Details

  - ### getVersion

    public int getVersion()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the Java feature version handled by this plugin.
    Specified by:
      `getVersion` in interface `VMPlugin`
    Overrides:
      `getVersion` in class `Java9`
    Returns:
      `10`

  - ### getPluginDefaultGroovyMethods

    public Class<?>[] getPluginDefaultGroovyMethods()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the default Groovy method extensions available on Java 10.
    Specified by:
      `getPluginDefaultGroovyMethods` in interface `VMPlugin`
    Overrides:
      `getPluginDefaultGroovyMethods` in class `Java9`
    Returns:
      the plugin default Groovy method classes